## django-ajax-selects 1.3.3

=== example/Makefile ===


install:
	$(shell ./install.sh $(DJANGO) 1>&2)
	@echo
	@echo NOW DO:
	@echo source AJAXSELECTS/bin/active
	@echo ./manage.py runserver
	@echo browse: http://localhost:8080/admin/

clean:
	@echo Deleting virtualenv
	rm -rf AJAXSELECTS

cleandb:
	@echo Removing sqllite db
	rm ajax_selects_example

help:
	@echo make install
	@echo or:
	@echo make clean install DJANGO=1.4.2


.PHONY: install clean cleandb help

## django-ajax-selects 1.1.4

=== debian/changelog ===
django-ajax-selects (1.1.4-5) unstable; urgency=low

  * Quote HTML inside JavaScript inside HTML. See:
    http://code.google.com/p/django-ajax-selects/issues/detail?id=70
  * Update standards version to 3.9.2.

 -- Brian May <bam@debian.org>  Tue, 21 Jun 2011 14:58:03 +1000

django-ajax-selects (1.1.4-4) unstable; urgency=low

  * Build now works with any version of Python (closes: #621675).

 -- Brian May <bam@debian.org>  Fri, 08 Apr 2011 10:21:02 +1000

django-ajax-selects (1.1.4-3) unstable; urgency=low

  * Fix non-integer primary keys, see
  http://code.google.com/p/django-ajax-selects/issues/detail?id=52

 -- Brian May <bam@debian.org>  Mon, 28 Mar 2011 14:08:54 +1100

django-ajax-selects (1.1.4-2) unstable; urgency=low

  * Depends on python-django and libjs-jquery. Closes: #591370.

 -- Brian May <bam@debian.org>  Sun, 08 Aug 2010 15:53:31 +1000

django-ajax-selects (1.1.4-1) unstable; urgency=low

  * Initial debian upload. Closes: #589722.
  * New upstream version.
  * Comes with copyright and license information.

 -- Brian May <bam@debian.org>  Wed, 21 Jul 2010 19:08:47 +1000

django-ajax-selects (1.1.3-1) unstable; urgency=low

  * Initial release.

 -- Brian May <bam@debian.org>  Sat, 17 Jul 2010 10:30:08 +1000

=== debian/control ===
Source: django-ajax-selects
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Build-Depends: debhelper (>=7.0.0), python (>= 2.4), python-support (>= 0.6), cdbs (>= 0.4.49)
Standards-Version: 3.9.2

Package: django-ajax-selects
Architecture: all
Homepage: http://code.google.com/p/django-ajax-selects/
Depends: ${misc:Depends}, ${python:Depends}, python-django, libjs-jquery
Description: Django library for editing fields with autocomplete
 Enables editing of ForeignKey, ManyToMany and simple text fields using the
 Autocomplete - jQuery plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

install/django-ajax-selects::
	rm debian/django-ajax-selects/usr/lib/python*/site-packages/ajax_select/LICENSE.txt

## django-ajax-selects 1.2.3

=== debian/changelog ===
django-ajax-selects (1.2.3-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 28 Dec 2011 15:11:58 +1100

django-ajax-selects (1.1.5~git20111012-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 12 Oct 2011 11:44:10 +1100

## django-ajax-selects 1.2.4

=== debian/changelog ===
django-ajax-selects (1.2.4-1) unstable; urgency=low

  * Support non-numeric ids.
  * New upstream version.
    * default for all field types  NOT show the help
    text inside the widget.
    * updated docs and examples.
    * other bugs fixed.

 -- Brian May <bam@debian.org>  Tue, 28 Feb 2012 13:13:08 +1100

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 include /usr/share/cdbs/1/class/python-distutils.mk
 
 install/django-ajax-selects::
+	cp -r ajax_select/static debian/django-ajax-selects/usr/share/pyshared/ajax_select
 	rm debian/django-ajax-selects/usr/lib/python*/site-packages/ajax_select/LICENSE.txt

## django-ajax-selects 1.2.5

=== debian/changelog ===
django-ajax-selects (1.2.5-3) unstable; urgency=low

  * Update Debian packaging.
  * Use python2 method for creating package.
  * Update links to upstream.

 -- Brian May <bam@debian.org>  Wed, 29 May 2013 10:45:50 +1000

django-ajax-selects (1.2.5-2) unstable; urgency=low

  * Fix incorrect path to css/ajax_select.css when using staticfiles.

 -- Brian May <bam@debian.org>  Fri, 26 Oct 2012 14:02:54 +1100

django-ajax-selects (1.2.5-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Tue, 18 Sep 2012 12:23:29 +1000

=== debian/control ===
Source: django-ajax-selects
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Build-Depends: debhelper (>=7.0.0), python (>= 2.6.6-3), cdbs (>= 0.4.90), python-setuptools
Standards-Version: 3.9.3

Package: django-ajax-selects
Architecture: all
Homepage: https://github.com/crucialfelix/django-ajax-selects
Depends: ${misc:Depends}, ${python:Depends}, python-django
Recommends: libjs-jquery, libjs-jquery-ui
Description: Django library for editing fields with autocomplete
 Enables editing of ForeignKey, ManyToMany and simple text fields using the
 Autocomplete - jQuery plugin.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DEB_PYTHON_SYSTEM := pysupport
+DEB_PYTHON2_MODULE_PACKAGES := django-ajax-selects
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk

## django-ajax-selects 1.3.3

=== debian/changelog ===
django-ajax-selects (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Brian May <bam@debian.org>  Tue, 17 Dec 2013 09:31:27 +1100

django-ajax-selects (1.2.5-5) unstable; urgency=low

  * Fix depreciated warnings. See
    https://github.com/crucialfelix/django-ajax-selects/pull/51

 -- Brian May <bam@debian.org>  Tue, 13 Aug 2013 14:52:31 +1000

django-ajax-selects (1.2.5-4) unstable; urgency=low

  * Set DPMT as Uploaders.
  * Bump Standards version to 3.9.4.
  * Bump debhelper Build-Depends to >= 8.1.0~.
  * Rename to python-ajax-select, provide transitional dummy package
  * Drop debian/pycompat.
  * Add X-Python-Version.
  * Use DEP5 format for d/copyright.
  * Add d/watch file.
  * Move Homepage field to source section.

 -- Brian May <bam@debian.org>  Tue, 18 Jun 2013 14:22:37 +1000

=== debian/control ===
Source: django-ajax-selects
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=7.0.0), python (>= 2.6.6-3), cdbs (>= 0.4.90), python-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: https://github.com/crucialfelix/django-ajax-selects
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-ajax-selects/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-ajax-selects/trunk/

Package: python-ajax-select
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django
Recommends: libjs-jquery, libjs-jquery-ui
Suggests: python-ajax-select-doc
Replaces: django-ajax-selects (<< 1.2.5-4)
Breaks: django-ajax-selects (<< 1.2.5-4)
Description: Django library for editing fields with autocomplete
 Enables editing of ForeignKey, ManyToMany and simple text fields using the
 Autocomplete - jQuery plugin.

Package: django-ajax-selects
Depends: python-ajax-select, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Django library for editing fields with autocomplete
 This is a dummy package to aid switching to python-ajax-select.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/d/django-ajax-selects/django-ajax-selects-([\d\.]+)\.tar\.gz

## django-ajax-selects 1.3.4

=== debian/changelog ===
django-ajax-selects (1.3.4-3) unstable; urgency=low

  * Add patch, already applied in upstream git, to fix issues with Django 1.7.
    Closes: #755591.

 -- Brian May <bam@debian.org>  Thu, 24 Jul 2014 13:31:35 +1000

django-ajax-selects (1.3.4-2) unstable; urgency=low

  * Python3 package.

 -- Brian May <bam@debian.org>  Wed, 02 Jul 2014 15:48:03 +1000

django-ajax-selects (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Brian May <bam@debian.org>  Wed, 02 Apr 2014 11:57:28 +1100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Brian May <bam@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>=7.0.0), python (>= 2.6.6-3), cdbs (>= 0.4.90), python-setuptools
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>=8.1.0), dh-python,
+ python-all (>= 2.6.6-3~), python-setuptools,
+ python3-all, python3-setuptools
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: https://github.com/crucialfelix/django-ajax-selects
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-ajax-selects/trunk/
@@ -14,7 +16,16 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-django
 Recommends: libjs-jquery, libjs-jquery-ui
-Suggests: python-ajax-select-doc
+Replaces: django-ajax-selects (<< 1.2.5-4)
+Breaks: django-ajax-selects (<< 1.2.5-4)
+Description: Django library for editing fields with autocomplete
+ Enables editing of ForeignKey, ManyToMany and simple text fields using the
+ Autocomplete - jQuery plugin.
+
+Package: python3-ajax-select
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3-django
+Recommends: libjs-jquery, libjs-jquery-ui
 Replaces: django-ajax-selects (<< 1.2.5-4)
 Breaks: django-ajax-selects (<< 1.2.5-4)
 Description: Django library for editing fields with autocomplete

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=ajax-select

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## django-ajax-selects 1.3.6

=== debian/changelog ===
django-ajax-selects (1.3.6-3) unstable; urgency=medium

  * Remove my questionable patch, this was not a django-ajax-selects
    bug, see discussion in
    https://github.com/crucialfelix/django-ajax-selects/issues/117

 -- Brian May <bam@debian.org>  Sat, 11 Apr 2015 11:34:30 +1000

django-ajax-selects (1.3.6-2) unstable; urgency=medium

  * Add fix for upstream bug (fix_as_pk.patch), see
    https://github.com/crucialfelix/django-ajax-selects/issues/117

 -- Brian May <bam@debian.org>  Fri, 10 Apr 2015 13:22:11 +1000

django-ajax-selects (1.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Fri, 10 Apr 2015 11:36:15 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>=8.1.0), dh-python,
  python-all (>= 2.6.6-3~), python-setuptools,
  python3-all, python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: https://github.com/crucialfelix/django-ajax-selects
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-ajax-selects/trunk/

## django-ajax-selects 1.4.2

=== requirements.txt ===
django>=1.5.1, <1.9
wheel==0.24.0

=== debian/changelog ===
django-ajax-selects (1.4.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Sat, 23 Jan 2016 17:58:23 +1100

django-ajax-selects (1.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove upstream's bootstrap.js and document reason in README.Debian.

 -- Brian May <bam@debian.org>  Tue, 15 Dec 2015 16:59:46 +1100

django-ajax-selects (1.3.6-4) unstable; urgency=medium

  * Disable tests. It fails under Python 3.5 and there aren't any tests.
    Closes: #801208.
  * Set Maintainer to DPMT. Any DPMT member welcome to make changes.

 -- Brian May <bam@debian.org>  Sat, 10 Oct 2015 14:02:57 +1100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: django-ajax-selects
 Section: python
 Priority: optional
-Maintainer: Brian May <bam@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>=8.1.0), dh-python,
  python-all (>= 2.6.6-3~), python-setuptools,
  python3-all, python3-setuptools
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: https://github.com/crucialfelix/django-ajax-selects
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-ajax-selects/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-ajax-selects/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-ajax-selects.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-ajax-selects.git
 
 Package: python-ajax-select
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	# no tests available

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-ajax-selects/django-ajax-selects-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-ajax-selects 1.4.3

=== requirements.txt ===
django>=1.5.1, <=1.9
wheel==0.24.0

=== debian/changelog ===
django-ajax-selects (1.4.3-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 12:27:14 +1000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: https://github.com/crucialfelix/django-ajax-selects
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-ajax-selects.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-ajax-selects.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-ajax-selects.git
 
 Package: python-ajax-select

## django-ajax-selects 1.6.0

=== requirements.txt ===
django>=1.7, <2
wheel==0.29.0

=== debian/changelog ===
django-ajax-selects (1.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 05 Jul 2017 17:21:30 +1000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
-Build-Depends: debhelper (>=8.1.0), dh-python,
+Build-Depends: debhelper (>=9), dh-python,
  python-all (>= 2.6.6-3~), python-setuptools,
  python3-all, python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 Homepage: https://github.com/crucialfelix/django-ajax-selects
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-ajax-selects.git

## django-ajax-selects 1.7.0

=== requirements.txt ===
django>=1.8, <2.1
wheel==0.29.0

=== debian/changelog ===
django-ajax-selects (1.7.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the old transitional package django-ajax-selects.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 04 Sep 2019 00:46:52 +0500

django-ajax-selects (1.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.
  * Ran wrap-and-sort -bast.
  * Standards-Version is now 4.4.0.
  * Removed Replaces+Breaks: django-ajax-selects (<< 1.2.5-4) not needed after
    the Buster release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2019 18:54:16 +0200

django-ajax-selects (1.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol

  [ Brian May ]
  * New upstream version 1.7.0.

 -- Brian May <bam@debian.org>  Fri, 27 Apr 2018 08:10:59 +1000

=== debian/control ===
Source: django-ajax-selects
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.4.0
Homepage: https://github.com/crucialfelix/django-ajax-selects
Vcs-Git: https://salsa.debian.org/python-team/modules/django-ajax-selects.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-ajax-selects

Package: python3-ajax-select
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libjs-jquery,
 libjs-jquery-ui,
Description: Django library for editing fields with autocomplete
 Enables editing of ForeignKey, ManyToMany and simple text fields using the
 Autocomplete - jQuery plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=ajax-select

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# no tests available

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-ajax-selects/django-ajax-selects-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
